Debian Bug report logs - #707899
Huge, Large etc. should be invokable via the command line directly

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: jidanni@jidanni.org

Date: Sun, 12 May 2013 01:15:01 UTC

Severity: wishlist

Found in version xterm/290-1

Fixed in version xterm/293-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#707899; Package xterm. (Sun, 12 May 2013 01:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 12 May 2013 01:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: submit@bugs.debian.org
Subject: Huge, Large etc. should be invokable via the command line directly
Date: Sun, 12 May 2013 09:13:33 +0800
Package: xterm
Version: 290-1
Severity: wishlist

Those font names, Huge, Large etc.
So easy to pick from the CTRL-right-click menus,
so hard to invoke via the command line -options.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#707899; Package xterm. (Tue, 14 May 2013 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 14 May 2013 23:30:04 GMT) Full text and rfc822 format available.

Message #10 received at 707899@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: jidanni@jidanni.org, 707899@bugs.debian.org
Cc: 707899-submitter@bugs.debian.org
Subject: Re: Bug#707899: Huge, Large etc. should be invokable via the command line directly
Date: Tue, 14 May 2013 19:27:17 -0400
[Message part 1 (text/plain, inline)]
On Sun, May 12, 2013 at 09:13:33AM +0800, jidanni@jidanni.org wrote:
> Package: xterm
> Version: 290-1
> Severity: wishlist
> 
> Those font names, Huge, Large etc.
> So easy to pick from the CTRL-right-click menus,
> so hard to invoke via the command line -options.

There are pros/cons.  The names are set by resource values and (though
commonly not overridden), it would be awkward to have xterm looking
for "huge" when the actual menu says "biggest".  Getting the names during
initialization is doable but likely very complicated (since normally the
menus are initialized when the user clicks on control-mouse-whatever).

However, there is already a less elegant way to do what you want, using
the initialFont resource, e.g.,

xterm -xrm '*initialFont:5'

as documented in the manpage:

       initialFont (class InitialFont)
               Specifies  which  of  the VT100 fonts to use initially.  Values
               are the same as for the set-vt-font  action.   The  default  is
               "d", i.e., "default".

and

       set-vt-font(d/1/2/3/4/5/6/e/s [,normalfont [, boldfont]])
               This  action sets the font or fonts currently being used in the
               VT102 window.  The first argument is a  single  character  that
               specifies the font to be used:

               d  or D indicate the default font (the font initially used when
                      xterm-dev was started),

               1 through 6 indicate the fonts specified by the  font1  through
                      font6 resources,

               e  or  E  indicate the normal and bold fonts that have been set
                      through escape codes (or specified  as  the  second  and
                      third action arguments, respectively), and

               s or S indicate the font selection (as made by programs such as
                      xfontsel(1)) indicated by the second action argument.

               If xterm-dev is configured to support wide characters, an addi-
               tional  two  optional parameters are recognized for the e argu-
               ment: wide font and wide bold font.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to jidanni@jidanni.org:
Bug#707899. (Tue, 14 May 2013 23:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#707899; Package xterm. (Wed, 15 May 2013 05:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jidanni@jidanni.org:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 15 May 2013 05:30:04 GMT) Full text and rfc822 format available.

Message #18 received at 707899@bugs.debian.org (full text, mbox):

From: jidanni@jidanni.org
To: dickey@his.com
Cc: 707899@bugs.debian.org
Subject: Re: Bug#707899: Huge, Large etc. should be invokable via the command line directly
Date: Wed, 15 May 2013 13:28:24 +0800
OK, but the user will be looking for the words "Huge", "Large" etc. in
the man page so do mention the connection there...



Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Wed, 29 May 2013 16:09:29 GMT) Full text and rfc822 format available.

Notification sent to jidanni@jidanni.org:
Bug acknowledged by developer. (Wed, 29 May 2013 16:09:29 GMT) Full text and rfc822 format available.

Message #23 received at 707899-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 707899-close@bugs.debian.org
Subject: Bug#707899: fixed in xterm 293-1
Date: Wed, 29 May 2013 16:08:31 +0000
Source: xterm
Source-Version: 293-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707899@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 29 May 2013 17:19:26 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 293-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 xterm      - X terminal emulator
Closes: 707899
Changes: 
 xterm (293-1) unstable; urgency=low
 .
   * New upstream release.
     - Improve description of initialFont, set-vt-font and set-tex-text
       in manpage (Closes: #707899).
   * Update copyright year in debian/copyright.
Checksums-Sha1: 
 e8e11bafdb2e557b7523b025d51334da2848b0ec 2051 xterm_293-1.dsc
 99a7e7b6d3cf7f576faa81aade80e691a56c7859 1093567 xterm_293.orig.tar.gz
 d0b478a18c52612d3067f9dcd5d0fffdbba4e755 92241 xterm_293-1.diff.gz
 7aaddffb4f4c486e04f0f4d4e1e2f5019884528d 661576 xterm_293-1_i386.deb
Checksums-Sha256: 
 fe22d1fdfc370f3d4f7bde67d7fb551bfd1bef256b359b11f7b6da0f30b03c2c 2051 xterm_293-1.dsc
 64e9c41137eac4277d0cfe04312b12dc5d11224f49fc999ff7f6b9597bf55b7b 1093567 xterm_293.orig.tar.gz
 bce8422ed4d50b43f3dc3e61531f330f50a89fb9b5962bae540d94621cd82feb 92241 xterm_293-1.diff.gz
 9a6b97ed991f34524311b9e611ca645ddbe602bebc9cbd2fa5677512242782ac 661576 xterm_293-1_i386.deb
Files: 
 6da5f9d68afd14ab42fb651fdb648ecd 2051 x11 optional xterm_293-1.dsc
 f9dc37486d5f1e550b6dc2e26a8a0439 1093567 x11 optional xterm_293.orig.tar.gz
 0765ef45780ab2c9eea0f0221f557cc7 92241 x11 optional xterm_293-1.diff.gz
 277642d61c9589a99113e6993244c15b 661576 x11 optional xterm_293-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRph3yAAoJEDsQbnGNazGsX8QP/0Pmtof1cvMZaNJynk8cw0nH
CV2Umzzq53GDQwysYbvzuFaWlub0N+okadmFNrqhDiF37RwPR3A1jHIHlmFviwQZ
+brwevsjUOLYKKnDNK1QBYAVO7rg9Rlf6S35pThsNTJw3Sh/Dy6J7jSJNdaz4rfE
9Jj2Sj4oLkGsI81/Hnw1Z8/ozj1A48MKtbgWkvNxFgHHTtUPd/bfEftMTC6KVJ70
hvlCqD2PXBW1GIYLasWCPXNY15/WjA5Domq5STH2MEpFu1bdKpbUEIi8+/lce/dZ
0hq9Bb3d1FELPC2YLBqdjMi05aNj28ijTfETejI2Csog/PL/XLGNm7dp2T0lX//S
0aPOdz8pKUBTOEl5UrkTo+t0XDmKsSA95epxLsWsBmG+bP2DExBnNs9HD8PK3/dG
jEForMp+VNll3KK0jJOKymLrtyejO2W52C84EVQTX0C+O69VNsdMS0dTKgoh5WNq
OSsdGe6dTUv9Myf+g3vn5QhyRP/vGzg7kYsU3NUqHrq2Oq3gdqh5ftZPDupXXM5W
Boj+RAGHtA9If7G/MgZN85n+FOLDhh86NagD58usytdqKGuNjzWJmFxbztbHpTFt
mdeu12VUMcQlrqKu6FHLoUh1KMm/xEfioMRLR1amGi2E3/OK7um7/ssSd2wJDFs/
vD6peB349ttKNjGa/C5Q
=tTqX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Jun 2013 07:43:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:11:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.